GNU bug report logs - #17148
Revert buffer menu-item and file permission changes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Joe Camaioni <jcamaion@HIDDEN>; dated Mon, 31 Mar 2014 15:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 2 Apr 2014 13:11:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 02 09:11:03 2014
Received: from localhost ([127.0.0.1]:60514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WVKwZ-0008Ip-AB
	for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 09:11:03 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:37936)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WVKwW-0008IN-4s
 for 17148 <at> debbugs.gnu.org; Wed, 02 Apr 2014 09:11:00 -0400
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id s32DAwG4032053;
 Wed, 2 Apr 2014 09:10:58 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 2D333602A0; Wed,  2 Apr 2014 09:04:16 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
Message-ID: <jwvd2gzopcd.fsf-monnier+emacsbugs@HIDDEN>
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
 <jwvd2h0u7wu.fsf-monnier+emacsbugs@HIDDEN>
 <p1k3b8b565.fsf@HIDDEN>
Date: Wed, 02 Apr 2014 09:04:16 -0400
In-Reply-To: <p1k3b8b565.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 02 Apr 2014 02:45:38 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV4900=0
X-NAI-Spam-Version: 2.3.0.9378 : core <4900> : inlines <683> : streams
 <1150249> : uri <1717998>
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 17148
Cc: Michael Albinus <michael.albinus@HIDDEN>, 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

> Personally I would not mind seeing a non-greyed-out menu-item for Revert
> Buffer in such a case. I have modified the buffer ('s meta-data)
> compared to how it is on disk, so I might want to revert it.

I can agree, but only if revert-buffer indeed changes buffer-read-only.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 2 Apr 2014 13:03:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 02 09:03:21 2014
Received: from localhost ([127.0.0.1]:60502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WVKp6-00085V-JW
	for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 09:03:20 -0400
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:60821)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WVKp4-00085N-1n
 for 17148 <at> debbugs.gnu.org; Wed, 02 Apr 2014 09:03:18 -0400
Received: from pastel.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id s32D3E2I029377;
 Wed, 2 Apr 2014 09:03:16 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 998F5602A0; Wed,  2 Apr 2014 09:03:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
Message-ID: <jwvioqropeg.fsf-monnier+emacsbugs@HIDDEN>
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
 <87lhvpncyb.fsf@HIDDEN> <i1a9c4oqb9.fsf@HIDDEN>
 <87d2h0evv2.fsf@HIDDEN> <0p1txg6fia.fsf@HIDDEN>
Date: Wed, 02 Apr 2014 09:03:14 -0400
In-Reply-To: <0p1txg6fia.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 01 Apr 2014 15:01:17 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV4900=0
X-NAI-Spam-Version: 2.3.0.9378 : core <4900> : inlines <683> : streams
 <1150243> : uri <1717993>
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 17148
Cc: Michael Albinus <michael.albinus@HIDDEN>, 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)

>>> So the result is basically now that the "Revert Buffer" menu item is
>>> always enabled, which may not be precisely what the OP wanted.
>> Yes. Maybe Stefan could explain the reasoning behind.
> I'm going to guess it is an unintended consequence of changing the
> default value of revert-buffer-function (and
> revert-buffer-insert-file-contents-function) to be non-nil (which was
> probably for the purpose of advice).

Right.

> This change has no NEWS entry and no documentation updates.

It seemed "internal" enough.  But I guess I was wrong.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.
Removed tag(s) notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Revert buffer menu-item and file permission changes' from '23.1; Revert Buffer' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 2 Apr 2014 06:45:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 02 02:45:44 2014
Received: from localhost ([127.0.0.1]:60179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WVEvf-00037z-0B
	for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 02:45:43 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:46879)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WVEvb-00037o-Lt
 for 17148 <at> debbugs.gnu.org; Wed, 02 Apr 2014 02:45:40 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WVEva-0006MO-NE; Wed, 02 Apr 2014 02:45:38 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
 <jwvd2h0u7wu.fsf-monnier+emacsbugs@HIDDEN>
X-Spook: brigand SAFE $400 million in gold bullion encryption
X-Ran: Fd&"Z~0l4I}gt[C&wuUy843R?@!vaS5nC-])"==Ziy$_Fikh?){qM2|GgR4PE5sAs1Zn2s
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 02 Apr 2014 02:45:38 -0400
In-Reply-To: <jwvd2h0u7wu.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 01 Apr 2014 16:14:04 -0400")
Message-ID: <p1k3b8b565.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 17148
Cc: Michael Albinus <michael.albinus@HIDDEN>, 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Stefan Monnier wrote:

> Because revert-buffer is meant to handle the file's content, not its
> read-only setting.

File permission bits can be viewed as just another form of content.

> E.g. maybe the buffer is read-only because the user hit C-x C-q.

Personally I would not mind seeing a non-greyed-out menu-item for Revert
Buffer in such a case. I have modified the buffer ('s meta-data)
compared to how it is on disk, so I might want to revert it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 20:14:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 16:14:31 2014
Received: from localhost ([127.0.0.1]:59753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV54o-00022R-S8
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 16:14:31 -0400
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:52754)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WV54m-00022H-8M
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 16:14:28 -0400
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id D714784E0A;
 Tue,  1 Apr 2014 16:14:27 -0400 (EDT)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id 973111E5874;
 Tue,  1 Apr 2014 16:14:04 -0400 (EDT)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id 71079B4128; Tue,  1 Apr 2014 16:14:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
Message-ID: <jwvd2h0u7wu.fsf-monnier+emacsbugs@HIDDEN>
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
Date: Tue, 01 Apr 2014 16:14:04 -0400
In-Reply-To: <gk38hx59lr.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 01 Apr 2014 11:54:08 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 17148
Cc: Michael Albinus <michael.albinus@HIDDEN>, 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)

>> Emacs is not notified, when a file changes its state outside Emacs. Only
>> prior to writing to a file Emacs checks, whether a file has changed on disk.
> Why can't the revert-buffer menu-item check the file mode bits match,
> the same way it verifies the modtime? IMO it should just call
> file-attributes once, and use that to check time and permissions.

Because revert-buffer is meant to handle the file's content, not its
read-only setting.
E.g. maybe the buffer is read-only because the user hit C-x C-q.

Maybe we should use a 3rd setting for buffer-read-only which says "obey
the file's writability".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 19:01:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 15:01:22 2014
Received: from localhost ([127.0.0.1]:59718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV3w1-0008Tc-F0
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 15:01:21 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:37117)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WV3vy-0008TQ-IX
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 15:01:19 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WV3vx-0001BW-Iz; Tue, 01 Apr 2014 15:01:17 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
 <87lhvpncyb.fsf@HIDDEN> <i1a9c4oqb9.fsf@HIDDEN>
 <87d2h0evv2.fsf@HIDDEN>
X-Spook: Fedayeen Mole FIPS140 security AUTODIN Crypto AG quarter
X-Ran: 55ar.V?Vu43(4r7vWK37`XydP7M>w.?Z20Dd6%L!b_Uq/]%D>Z{g\AV&XKc\>ARY:SSG(9
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 01 Apr 2014 15:01:17 -0400
In-Reply-To: <87d2h0evv2.fsf@HIDDEN> (Michael Albinus's message of "Tue, 01
 Apr 2014 20:40:49 +0200")
Message-ID: <0p1txg6fia.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 17148
Cc: 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Michael Albinus wrote:

>> So the result is basically now that the "Revert Buffer" menu item is
>> always enabled, which may not be precisely what the OP wanted.
>
> Yes. Maybe Stefan could explain the reasoning behind.

I'm going to guess it is an unintended consequence of changing the
default value of revert-buffer-function (and
revert-buffer-insert-file-contents-function) to be non-nil (which was
probably for the purpose of advice).

This change has no NEWS entry and no documentation updates.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 18:41:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 14:41:02 2014
Received: from localhost ([127.0.0.1]:59703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV3cL-0007vO-Ec
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 14:41:02 -0400
Received: from mout.gmx.net ([212.227.17.20]:52120)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael.albinus@HIDDEN>) id 1WV3cH-0007vB-SY
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 14:40:59 -0400
Received: from detlef.gmx.de ([93.202.59.15]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0M9bYB-1WKMlT0Q7L-00Czdd;
 Tue, 01 Apr 2014 20:40:56 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
 <87lhvpncyb.fsf@HIDDEN> <i1a9c4oqb9.fsf@HIDDEN>
Date: Tue, 01 Apr 2014 20:40:49 +0200
In-Reply-To: <i1a9c4oqb9.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 01 Apr 2014 14:30:34 -0400")
Message-ID: <87d2h0evv2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:7AeCDEhCpoX/WUW1fIjqREq2n2KfdBApL0TVKVbMBF0qoLSYwpo
 WMUjug4AkSGz/pAEwyXrCcc5wauzz5hG8yZ/zFBxsylWTuXeQPwBhP/Qn7jrtyi/k8pu5yV
 NgkMoeZ6+Dn7F6O0GXRD/VYAHaQfIuWU6u11bU9Ixw/hL+VyZ8smxpr7bFTjI0lec/8piIt
 JXZQKpJ8w+M9EI0BR5XUg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17148
Cc: 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Glenn Morris <rgm@HIDDEN> writes:

>> However, surprisingly this problem is reproducible in Emacs 23, but it
>> is NOT reproducible with Emacs 24.3.50. This is because
>> `revert-buffer-function' is set to `revert-buffer--default' since last
>> year.
>
> So the result is basically now that the "Revert Buffer" menu item is
> always enabled, which may not be precisely what the OP wanted.

Yes. Maybe Stefan could explain the reasoning behind.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 18:30:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 14:30:41 2014
Received: from localhost ([127.0.0.1]:59690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV3SK-0007cr-GZ
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 14:30:40 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:36441)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WV3SE-0007ce-Tg
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 14:30:36 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WV3SE-0007Y5-2b; Tue, 01 Apr 2014 14:30:34 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
 <87lhvpncyb.fsf@HIDDEN>
X-Spook: NWO computer terrorism Skipjack SHA Peking class struggle
X-Ran: 6Sg9.-d:TRo1/&K>]fXq?q(#E$!xh<uuKx\ij!fNXAfg9d^b8.HoR&sF''#=rJ\[jh`GIM
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 01 Apr 2014 14:30:34 -0400
In-Reply-To: <87lhvpncyb.fsf@HIDDEN> (Michael Albinus's message of "Tue, 01
 Apr 2014 20:04:28 +0200")
Message-ID: <i1a9c4oqb9.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 17148
Cc: 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Michael Albinus wrote:

> However, surprisingly this problem is reproducible in Emacs 23, but it
> is NOT reproducible with Emacs 24.3.50. This is because
> `revert-buffer-function' is set to `revert-buffer--default' since last
> year.

So the result is basically now that the "Revert Buffer" menu item is
always enabled, which may not be precisely what the OP wanted.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 18:04:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 14:04:41 2014
Received: from localhost ([127.0.0.1]:59677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV33A-0006w6-SV
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 14:04:41 -0400
Received: from mout.gmx.net ([212.227.15.15]:56924)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael.albinus@HIDDEN>) id 1WV338-0006vv-6Z
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 14:04:39 -0400
Received: from detlef.gmx.de ([93.202.59.15]) by mail.gmx.com (mrgmx102) with
 ESMTPS (Nemesis) id 0Mam2Q-1WjomP1NKU-00KR2j;
 Tue, 01 Apr 2014 20:04:35 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN> <gk38hx59lr.fsf@HIDDEN>
Date: Tue, 01 Apr 2014 20:04:28 +0200
In-Reply-To: <gk38hx59lr.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 01 Apr 2014 11:54:08 -0400")
Message-ID: <87lhvpncyb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:qz7z+IVNu7Xg8wH6jXaUF/4MkPJ0tlz3dF1jP2iP6XvxhxX2QHT
 YoUFNiphCzIXbzCddHAfOh3PVkriMXgkZFt6cYF/E+dX22Lm9Gx07C+WC3pFuTifC2jaTNS
 nz1W8/pCqsMIb7NrKue/inXNHA5H0SN36WzwDBcqyytmA38DTTARCC8Ca0VYU0FKmnBs/bC
 j7aYZAMON8NhAd7p/e9bg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17148
Cc: 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

tags 17148 - notabug
fixed 17148 24.4
thanks

Glenn Morris <rgm@HIDDEN> writes:

> Michael Albinus wrote:
>
>> Emacs is not notified, when a file changes its state outside Emacs. Only
>> prior to writing to a file Emacs checks, whether a file has changed on disk.
>
> Why can't the revert-buffer menu-item check the file mode bits match,
> the same way it verifies the modtime? IMO it should just call
> file-attributes once, and use that to check time and permissions.

Hmm, I wanted to implement something with file notifications.

However, surprisingly this problem is reproducible in Emacs 23, but it
is NOT reproducible with Emacs 24.3.50. This is because
`revert-buffer-function' is set to `revert-buffer--default' since last
year.

My analysis was wrong, but the result (not a bug) is somehow right for
Emacs 24.3. We shall changed that to "Fixed in 24.4", 'tho.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 15:54:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 11:54:14 2014
Received: from localhost ([127.0.0.1]:59551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WV10u-00010k-LO
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 11:54:13 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:32912)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WV10s-00010d-RQ
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 11:54:11 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WV10q-00087p-P8; Tue, 01 Apr 2014 11:54:08 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#17148: 23.1; Revert Buffer
References: <201403311333.s2VDXNuJ029811@HIDDEN>
 <87ppl1v893.fsf@HIDDEN>
X-Spook: 64 Vauxhall Cross underground Venezuela Perl-RSA Semtex
X-Ran: !`?.8#%}B*E4H%_YF]&xSNr?XRPr~&$@y0i?%u;-^pE(\%l+BhCKt@W$-EXvYu@/;n~&Z%
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 01 Apr 2014 11:54:08 -0400
In-Reply-To: <87ppl1v893.fsf@HIDDEN> (Michael Albinus's message of "Tue, 01
 Apr 2014 09:06:32 +0200")
Message-ID: <gk38hx59lr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 17148
Cc: 17148 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.6 (-----)

Michael Albinus wrote:

> Emacs is not notified, when a file changes its state outside Emacs. Only
> prior to writing to a file Emacs checks, whether a file has changed on disk.

Why can't the revert-buffer menu-item check the file mode bits match,
the same way it verifies the modtime? IMO it should just call
file-attributes once, and use that to check time and permissions.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.
bug closed, send any further explanations to 17148 <at> debbugs.gnu.org and Joe Camaioni <jcamaion@HIDDEN> Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17148 <at> debbugs.gnu.org:


Received: (at 17148) by debbugs.gnu.org; 1 Apr 2014 07:06:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 01 03:06:43 2014
Received: from localhost ([127.0.0.1]:58610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WUsmQ-0007oy-EU
	for submit <at> debbugs.gnu.org; Tue, 01 Apr 2014 03:06:42 -0400
Received: from mout.gmx.net ([212.227.15.15]:63088)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael.albinus@HIDDEN>) id 1WUsmN-0007op-K0
 for 17148 <at> debbugs.gnu.org; Tue, 01 Apr 2014 03:06:40 -0400
Received: from detlef.gmx.de ([93.202.59.15]) by mail.gmx.com (mrgmx003) with
 ESMTPS (Nemesis) id 0Lhfu5-1WrH9b0TLd-00moXL for
 <17148 <at> debbugs.gnu.org>; Tue, 01 Apr 2014 09:06:38 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: 17148 <at> debbugs.gnu.org
Subject: Re: bug#17148: 23.1; Revert Buffer
In-Reply-To: <201403311333.s2VDXNuJ029811@HIDDEN> (Joe
 Camaioni's message of "Mon, 31 Mar 2014 13:33:23 GMT")
References: <201403311333.s2VDXNuJ029811@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
Date: Tue, 01 Apr 2014 09:06:32 +0200
Message-ID: <87ppl1v893.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:OQVJ9tOgn1P3td5V0QLAnemYkcr50b71NedtYtiPgt0+HB5iOhE
 L7nwKD5mgw1GlVz7aiZJtkk5tGPfT8H20cP74q6WGkI/Lausm6pEVj6xOAWgeRQdSP5bpJq
 uTea19TPmz1Y1xKQ6EukqG0kRAEtb4EojXkU6hYESfDusr2aRGKv7I8QnjTM8wvvIzfzaZ2
 G7PFPXQWuhuS/qH9lfbvg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17148
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Joe Camaioni <jcamaion@HIDDEN> writes:

> A buffer has been loaded with a file.  It is initially unwritable.  A chmod is performed in a shell window to make it writable.  Going into the File menu pulldown, the Revert Buffer stays gray-ed out, and the file is still listed as unwritable.

Emacs is not notified, when a file changes its state outside Emacs. Only
prior to writing to a file Emacs checks, whether a file has changed on disk.

The upcoming Emacs 24.4 has implemented file notifications on systems
which support it (mainly GNU/Linux and MS Windows). This could be used
for this kind of checks.

For Emacs 23, I don't regard this as a bug.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Mar 2014 15:44:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 31 11:44:13 2014
Received: from localhost ([127.0.0.1]:58022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WUeNg-0006ZK-8g
	for submit <at> debbugs.gnu.org; Mon, 31 Mar 2014 11:44:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40233)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jcamaion@HIDDEN>)
 id 1WUd1O-0004KB-JZ
 for submit <at> debbugs.gnu.org; Mon, 31 Mar 2014 10:17:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jcamaion@HIDDEN>)
 id 1WUd1I-0000lu-Jt
 for submit <at> debbugs.gnu.org; Mon, 31 Mar 2014 10:17:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,NO_DNS_FOR_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47701)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jcamaion@HIDDEN>)
 id 1WUd1I-0000lq-GY
 for submit <at> debbugs.gnu.org; Mon, 31 Mar 2014 10:17:00 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41876)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jcamaion@HIDDEN>)
 id 1WUd1D-0000oP-Bt
 for bug-gnu-emacs@HIDDEN; Mon, 31 Mar 2014 10:17:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jcamaion@HIDDEN>)
 id 1WUd16-0000j7-Je
 for bug-gnu-emacs@HIDDEN; Mon, 31 Mar 2014 10:16:55 -0400
Received: from relay.faa.gov ([155.178.252.45]:63245 helo=relay2.faa.gov)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jcamaion@HIDDEN>)
 id 1WUd16-0000iw-Fv
 for bug-gnu-emacs@HIDDEN; Mon, 31 Mar 2014 10:16:48 -0400
X-IronPort-AV: E=Sophos;i="4.97,765,1389762000"; d="scan'208";a="193271790"
Received: from unknown (HELO zeus.ctasdev.tc.faa.gov) ([172.26.86.201])
 by relay2.faa.gov with ESMTP; 31 Mar 2014 09:33:23 -0400
Received: from tbfmdev1.ctasdev.tc.faa.gov
 by zeus.ctasdev.tc.faa.gov (8.12.10+Sun/8.12.10) with ESMTP id s2VDXNfe001911
 for <bug-gnu-emacs@HIDDEN>; Mon, 31 Mar 2014 09:33:23 -0400 (EDT)
Received: (from jcamaion@localhost)
 by tbfmdev1.ctasdev.tc.faa.gov (8.14.4/8.14.4/Submit) id s2VDXNuJ029811;
 Mon, 31 Mar 2014 13:33:23 GMT
Date: Mon, 31 Mar 2014 13:33:23 GMT
Message-Id: <201403311333.s2VDXNuJ029811@HIDDEN>
From: Joe Camaioni <jcamaion@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; Revert Buffer
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 31 Mar 2014 11:44:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.6 (----)


A buffer has been loaded with a file.  It is initially unwritable.  A chmod is performed in a shell window to make it writable.  Going into the File menu pulldown, the Revert Buffer stays gray-ed out, and the file is still listed as unwritable.  


In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.18.9)
 of 2011-02-01 on x86-003.build.bos.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.60900000
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'target_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.iso88591
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t

Major mode: Tcl

Minor modes in effect:
  text-scale-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
nd-emacs-bug-report>

Recent messages:
Cannot write backup file; backing up in /home/jcamaion/%backup%~
Wrote /home/vobadm/bin/AR_QA_pkg.exp
Saving file /home/vobadm/bin/AR_QA_pkg.exp...
Wrote /home/vobadm/bin/AR_QA_pkg.exp
Note: file is write protected
Mark saved where search started
Note: file is write protected
Buffer is read-only: #<buffer AP_QA_tar.exp>
Mark saved where search started
call-interactively: Text is read-only




Acknowledgement sent to Joe Camaioni <jcamaion@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17148; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.